AtomData
Date: 2019-10-22

org.jmol.atomdata

## Class AtomData

- java.lang.Object
- - org.jmol.atomdata.AtomData

-     public class AtomData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `ac`
    `int` | `adpMode`
    `int[]` | `atomicNumber`
    `int[]` | `atomIndex`
    `int[]` | `atomMolecule`
    `float[]` | `atomRadius`
    `Atom[]` | `atoms`
    `javajs.util.BS` | `bsIgnored`
    `javajs.util.BS[]` | `bsMolecules`
    `javajs.util.BS` | `bsSelected`
    `java.lang.String` | `fileName`
    `int` | `firstAtomIndex`
    `int` | `firstModelIndex`
    `float` | `hAtomRadius`
    `javajs.util.P3[][]` | `hAtoms`
    `int` | `hydrogenAtomCount`
    `int` | `lastModelIndex`
    `static int` | `MODE_FILL_COORDS`
    `static int` | `MODE_FILL_MODEL`
    `static int` | `MODE_FILL_MOLECULES`
    `static int` | `MODE_FILL_MULTIMODEL`
    `static int` | `MODE_FILL_RADII`
    `static int` | `MODE_GET_ATTACHED_HYDROGENS`
    `int` | `modelIndex`
    `java.lang.String` | `modelName`
    `java.lang.String` | `programInfo`
    `RadiusData` | `radiusData`
    `javajs.util.P3[]` | `xyz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transformXYZ(javajs.util.M4 mat, javajs.util.BS bs)` allow for transformed XYZ

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODE_FILL_MODEL

          public static final int MODE_FILL_MODEL

      See Also:
        Constant Field Values

    - #### MODE_FILL_COORDS

          public static final int MODE_FILL_COORDS

      See Also:
        Constant Field Values

    - #### MODE_FILL_RADII

          public static final int MODE_FILL_RADII

      See Also:
        Constant Field Values

    - #### MODE_FILL_MOLECULES

          public static final int MODE_FILL_MOLECULES

      See Also:
        Constant Field Values

    - #### MODE_GET_ATTACHED_HYDROGENS

          public static final int MODE_GET_ATTACHED_HYDROGENS

      See Also:
        Constant Field Values

    - #### MODE_FILL_MULTIMODEL

          public static final int MODE_FILL_MULTIMODEL

      See Also:
        Constant Field Values

    - #### programInfo

          public java.lang.String programInfo

    - #### fileName

          public java.lang.String fileName

    - #### modelName

          public java.lang.String modelName

    - #### modelIndex

          public int modelIndex

    - #### bsSelected

          public javajs.util.BS bsSelected

    - #### bsIgnored

          public javajs.util.BS bsIgnored

    - #### bsMolecules

          public javajs.util.BS[] bsMolecules

    - #### radiusData

          public RadiusData radiusData

    - #### firstAtomIndex

          public int firstAtomIndex

    - #### firstModelIndex

          public int firstModelIndex

    - #### lastModelIndex

          public int lastModelIndex

    - #### hAtomRadius

          public float hAtomRadius

    - #### atomIndex

          public int[] atomIndex

    - #### atoms

          public Atom[] atoms

    - #### xyz

          public javajs.util.P3[] xyz

    - #### atomRadius

          public float[] atomRadius

    - #### atomicNumber

          public int[] atomicNumber

    - #### atomMolecule

          public int[] atomMolecule

    - #### hAtoms

          public javajs.util.P3[][] hAtoms

    - #### ac

          public int ac

    - #### hydrogenAtomCount

          public int hydrogenAtomCount

    - #### adpMode

          public int adpMode

  - ### Constructor Detail

    - #### AtomData

          public AtomData()

  - ### Method Detail

    - #### transformXYZ

          public void transformXYZ(javajs.util.M4 mat,
                                   javajs.util.BS bs)

      allow for transformed XYZ
      Parameters:
        `mat` -
        `bs` -